DateAndPlaceOfBirth
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02

## Class DateAndPlaceOfBirth

- java.lang.Object
- - de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02.DateAndPlaceOfBirth

-     public class DateAndPlaceOfBirth
      extends java.lang.Object

  Java class for DateAndPlaceOfBirth complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DateAndPlaceOfBirth">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="BirthDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}ISODate"/>
               <element name="PrvcOfBirth" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}Max35Text" minOccurs="0"/>
               <element name="CityOfBirth" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}Max35Text"/>
               <element name="CtryOfBirth" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}CountryCode"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.xml.datatype.XMLGregorianCalendar` | `birthDt`
    `protected java.lang.String` | `cityOfBirth`
    `protected java.lang.String` | `ctryOfBirth`
    `protected java.lang.String` | `prvcOfBirth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateAndPlaceOfBirth()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.datatype.XMLGregorianCalendar` | `getBirthDt()` Gets the value of the birthDt property.
    `java.lang.String` | `getCityOfBirth()` Gets the value of the cityOfBirth property.
    `java.lang.String` | `getCtryOfBirth()` Gets the value of the ctryOfBirth property.
    `java.lang.String` | `getPrvcOfBirth()` Gets the value of the prvcOfBirth property.
    `void` | `setBirthDt(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the birthDt property.
    `void` | `setCityOfBirth(java.lang.String value)` Sets the value of the cityOfBirth property.
    `void` | `setCtryOfBirth(java.lang.String value)` Sets the value of the ctryOfBirth property.
    `void` | `setPrvcOfBirth(java.lang.String value)` Sets the value of the prvcOfBirth property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### birthDt

          protected javax.xml.datatype.XMLGregorianCalendar birthDt

    - #### prvcOfBirth

          protected java.lang.String prvcOfBirth

    - #### cityOfBirth

          protected java.lang.String cityOfBirth

    - #### ctryOfBirth

          protected java.lang.String ctryOfBirth

  - ### Constructor Detail

    - #### DateAndPlaceOfBirth

          public DateAndPlaceOfBirth()

  - ### Method Detail

    - #### getBirthDt

          public javax.xml.datatype.XMLGregorianCalendar getBirthDt()

      Gets the value of the birthDt property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setBirthDt

          public void setBirthDt(javax.xml.datatype.XMLGregorianCalendar value)

      Sets the value of the birthDt property.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getPrvcOfBirth

          public java.lang.String getPrvcOfBirth()

      Gets the value of the prvcOfBirth property.
      Returns:
        possible object is `String`

    - #### setPrvcOfBirth

          public void setPrvcOfBirth(java.lang.String value)

      Sets the value of the prvcOfBirth property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCityOfBirth

          public java.lang.String getCityOfBirth()

      Gets the value of the cityOfBirth property.
      Returns:
        possible object is `String`

    - #### setCityOfBirth

          public void setCityOfBirth(java.lang.String value)

      Sets the value of the cityOfBirth property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCtryOfBirth

          public java.lang.String getCtryOfBirth()

      Gets the value of the ctryOfBirth property.
      Returns:
        possible object is `String`

    - #### setCtryOfBirth

          public void setCtryOfBirth(java.lang.String value)

      Sets the value of the ctryOfBirth property.
      Parameters:
        `value` - allowed object is `String`